Bug 132207 - CAN-2004-0807/8 Samba 3 DoS
CAN-2004-0807/8 Samba 3 DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-09 17:13 EDT by Josh Bressers
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 14:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-09-09 17:13:30 EDT
Summary:        (i) A DoS bug in smbd may allow an
                unauthenticated user to cause smbd to
                spawn new processes each one entering
                an infinite loop.  After sending a sufficient
                amount of packets it is possible to exhaust
                the memory resources on the server.
 
                (ii) A DoS bug in nmbd may allow an attacker
                to remotely crash the nmbd daemon.
 
Affected
Versions:       Defect (i) affects Samba 3.0.x prior to and
                including v3.0.6.
 
                Defect (ii) affects Samba 3.0.x prior to
                and including v3.0.6.

This issue is embargoed until 2004-09-13.
Comment 1 Josh Bressers 2004-09-13 08:30:25 EDT
Samba 3.0.7 is out, this issue is public.
Comment 2 Josh Bressers 2004-09-13 10:31:18 EDT
This is going to be RHSA-2004-467.
Comment 3 Josh Bressers 2004-09-22 14:05:24 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-467.html
Comment 4 Josh Bressers 2004-09-23 17:09:40 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-467.html

Note You need to log in before you can comment on or make changes to this bug.